@charset "UTF-8";

.Module.CustomerPortal .header {
    text-align: center;
}

.Module.CustomerPortal .inline-block {
    display: inline-block;
}

.Module.CustomerPortal .hidden {
    display: none;
}

/*.Module.CustomerPortal .custom-alerts-wrapper #alerts {*/
/*    padding: 0;*/
/*}*/

/*.Module.CustomerPortal .custom-alerts-wrapper #alerts .alert {*/
/*    max-width: 100%;*/
/*}*/

/*.Module.CustomerPortal .custom-alerts-wrapper #alerts .alert a.close {*/
/*    padding: 0;*/
/*    left: unset;*/
/*    right: unset;*/
/*}*/

.Module.CustomerPortal .custom-alerts-wrapper {
    width: 100%;
    position: fixed;
    top: 56px;
    z-index: 1000;
    margin: 0;
    padding: 0 .25rem;
}

.Module.CustomerPortal .custom-alerts-wrapper #alerts {
    padding: 0;
    position: relative;
}

@keyframes custom-alerts-fadeout {
    0% {opacity: 1;}
    90% {opacity: 1;}
    100% {opacity: 0; display: none;}
}

.Module.CustomerPortal .custom-alerts-wrapper #alerts .alert {
    max-width: 100%;
    animation: custom-alerts-fadeout 5s forwards;
}

.Module.CustomerPortal .custom-alerts-wrapper #alerts .alert:hover {
    animation-play-state: paused;
}

.Module.CustomerPortal .custom-alerts-wrapper #alerts .alert a.close {
    padding: 0;
    left: unset;
    right: unset;
}

.Module.CustomerPortal table th.spacer,
.Module.CustomerPortal table td.spacer {
    width: 100%;
}

.Module.CustomerPortal .btn.btn-sm.btn-fit {
    padding: 0 6px;
}

@media (min-width: 979px) {
    .CustomerPortal.modal.wide {
        width: 960px;
        margin-left: -480px;
    }
}

@media (min-width: 768px) and (max-width: 979px) {
    .CustomerPortal.modal.wide {
        width: 760px;
        margin-left: -380px;
    }
}

.Module.CustomerPortal.modal.wide .modal-body .info-box {
    max-width: 908px;
}

.Module.CustomerPortal .avatar .icon-box {
    background: #c9c9c9;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    border-radius: 100%;
    width: 54px;
    height: 54px;
    font-size: 32px;
}

html[dir="rtl"] .Module.CustomerPortal .profile-stats,
body.rtl-mode .Module.CustomerPortal .profile-stats {
    padding-right: 0 !important;
}

.Module.CustomerPortal .profile-stats.text-small {
    font-size: 12px;
}

.Module.CustomerPortal .splide.slider .splide__pagination {
    z-index: 0;
    bottom: 30px;
}

.Module.CustomerPortal .form-button-group {
    z-index: 4;
}

.Module.CustomerPortal input[type="number"].arrow-less::-webkit-outer-spin-button,
.Module.CustomerPortal input[type="number"].arrow-less::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.Module.CustomerPortal input[type="number"].arrow-less {
    -moz-appearance: textfield;
}

.Module.CustomerPortal img.payment-portal-logo {
    max-width: 60px;
    max-height: 36px;
}

.Module.CustomerPortal img.payment-portal-logo.large {
    max-width: 220px;
    max-height: 150px;
}

.Module.CustomerPortal .auto-timer[data-timer] .timer {
    text-align: center;
}

.Module.CustomerPortal .sidebar-buttons .spacer {
    width: 100%;
}

.Module.CustomerPortal .sidebar-buttons .vertical-box {
    height: 56px;
    text-align: center;
    align-content: center;
}

.Module.CustomerPortal .sidebar-buttons .version {
    overflow: hidden;
    white-space: nowrap;
    line-height: normal;
    padding: 2px;
    font-size: 10px;
    font-family: "Fira Code", Consolas, monospace;
}

.Module.CustomerPortal .sidebar-buttons .vertical-box .version {
    writing-mode: vertical-lr;
}

/* leaflet: */

.Module.CustomerPortal .leaflet-container {
    z-index: 1;
}

.Module.CustomerPortal .leaflet-current-location {
    background-color: #fff;
}

.Module.CustomerPortal .leaflet-current-location:hover {
    background-color: #f4f4f4;
    cursor: pointer;
}

.Module.CustomerPortal .leaflet-current-location:after {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='333333' width='20' height='20' viewBox='0 0 123 123'%3E%3Cpath d='M68.23,13.49c10.44,1.49,19.79,6.36,26.91,13.48c7.29,7.29,12.23,16.93,13.58,27.68h14.17v13.58h-14.39 c-1.62,10.13-6.42,19.2-13.36,26.13c-7.11,7.11-16.47,11.99-26.91,13.48v15.04H54.65v-15.04c-10.44-1.49-19.79-6.36-26.9-13.48 c-6.94-6.94-11.74-16-13.36-26.13H0V54.65h14.16c1.35-10.75,6.29-20.39,13.58-27.68c7.11-7.11,16.46-11.99,26.9-13.48V0h13.58 V13.49L68.23,13.49z M61.44,35.41c13.95,0,25.25,11.31,25.25,25.25c0,13.95-11.31,25.25-25.25,25.25 c-13.95,0-25.25-11.31-25.25-25.25C36.19,46.72,47.49,35.41,61.44,35.41L61.44,35.41z M89,33.11c-7.05-7.05-16.8-11.42-27.56-11.42 c-10.76,0-20.51,4.36-27.56,11.42c-7.05,7.05-11.42,16.8-11.42,27.56c0,10.76,4.36,20.51,11.42,27.56 c7.05,7.05,16.8,11.42,27.56,11.42c10.76,0,20.51-4.36,27.56-11.42c7.05-7.05,11.42-16.8,11.42-27.56 C100.41,49.9,96.05,40.16,89,33.11L89,33.11z'/%3E%3C/svg%3E");
    position: absolute;
    top: 5px;
    left: 5px;
    opacity: 0.7;
}

.Module.CustomerPortal .leaflet-control-attribution {
    display: none;
}

.Module.CustomerPortal .leaflet-map-pane .maplibregl-canvas {
    position: absolute; inset: 0; width: 100%; height: 100%;
}

.Module.CustomerPortal .js-addr-auto-btn {
    z-index: 1000;
    position: absolute;
    right: 0;
    bottom: 0;
    margin: 10px;
    background-color: #ffffff;
}
.Module.CustomerPortal .js-addr-auto-btn i {
    font-size: 14px;
}
